Module javafx.base
Package javafx.util.converter

# Class FormatStringConverter<T>

java.lang.Object
javafx.util.StringConverter<T>
javafx.util.converter.FormatStringConverter<T>

    public class FormatStringConverter<T>
    extends StringConverter<T>

`StringConverter` implementation that can use a `Format` instance.

Since:
  JavaFX 2.2

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FormatStringConverter​(Format format)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `T` | `fromString​(String value)` | Converts the string provided into an object defined by the specific converter.
  `protected Format` | `getFormat()` | Return a `Format` instance to use for formatting and parsing in this `StringConverter`.
  `String` | `toString​(T value)` | Converts the object provided into its string form.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FormatStringConverter

    public FormatStringConverter​(Format format)

- ## Method Details

  - ### fromString

    public T fromString​(String value)
    Converts the string provided into an object defined by the specific converter. Format of the string and type of the resulting object is defined by the specific converter.
    Specified by:
      `fromString` in class `StringConverter<T>`
    Parameters:
      `value` - the `String` to convert
    Returns:
      an object representation of the string passed in.

  - ### toString

    public String toString​(T value)
    Converts the object provided into its string form. Format of the returned string is defined by the specific converter.
    Specified by:
      `toString` in class `StringConverter<T>`
    Parameters:
      `value` - the object of type `T` to convert
    Returns:
      a string representation of the object passed in.

  - ### getFormat

    protected Format getFormat()

    Return a `Format` instance to use for formatting and parsing in this `StringConverter`.

    Returns:
      a `Format` instance for formatting and parsing in this `StringConverter`